#
# spec file for package compiz-bcop
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   bcop
Name:           compiz-bcop
Version:        0.8.14
Release:        lp150.1.3
Summary:        Compiz option code generator
License:        GPL-2.0+
Group:          System/GUI/Other
Url:            https://github.com/raveit65/compiz-bcop
Source:         https://github.com/raveit65/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libxslt)
Requires:       xsltproc
Recommends:     compiz >= %{version}
Provides:       %{name}-devel = %{version}
BuildArch:      noarch

%description
Compiz option code generator needed to build some plugins.

%prep
%setup -q

%build
NOCONFIGURE=1 ./autogen.sh
%configure
make %{?_smp_mflags} V=1

%install
%make_install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/%{_name}
%{_datadir}/%{_name}/
%{_datadir}/pkgconfig/%{_name}.pc

%changelog
* Tue Apr 18 2017 sor.alexei@meowr.ru
- Update to version 0.8.14:
  * No changelog available.
* Sat Feb 13 2016 sor.alexei@meowr.ru
- Update to 0.8.12.
* Thu Dec 17 2015 sor.alexei@meowr.ru
- Use a better upstream tarball.
* Mon Nov  9 2015 sor.alexei@meowr.ru
- Update to 0.8.9.
- Recommend compiz.
- Provide compiz-bcop-devel as package contains bcop.pc.
- Spec cleanup.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Fri Oct  7 2011 dimstar@opensuse.org
- Update to version 0.8.8:
  + Sync up with compis 0.8 tree.
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Mon Nov 23 2009 dimstar@opensuse.org
- Version bump to 0.8.4 to stay in sync with the rest of compiz.
- Don't return Options if Screen/Display has been freed.
* Mon Sep 29 2008 rodrigo@novell.com
- Review and merge changes from X11:Compiz
* Wed Sep 17 2008 cyberorg@opensuse.org
- Now parses options for compiz version 0.7.8
* Tue Jul  1 2008 mhopf@suse.de
- Update from buildservice.
* Sat May 31 2008 cyberorg@opensuse.org
- Update to 0.7.6
  - version just got bumped to keep in sync with the other packages
* Mon Apr 14 2008 mhopf@suse.de
- Update from buildservice.
* Thu Apr  3 2008 cyberorg@cyberorg.info
- 0.7.4 release
- Changes to parse options according to 0.7.4 release
* Fri Mar  7 2008 cyberorg@cyberorg.info
- 0.7.2 development release
* Tue Dec  4 2007 cyberorg@cyberorg.info
- sync to latest git
* Tue Oct 16 2007 cyberorg@cyberorg.info
- Release 0.6.0.
* Fri Aug 24 2007 cyberorg@cyberorg.info
- Sync to the latest git.
- new action settings rework
* Mon Aug 13 2007 cyberorg@cyberorg.info
- Update to 0.5.2 release.
* Wed Aug  8 2007 schwab@suse.de
- Fix specfile.
* Tue Aug  7 2007 aj@suse.de
- Fix filelist.
* Mon Aug  6 2007 dreveman@suse.de
- Initial version of package
